# Counterparties

| Fields         | Validations                                                                                                                                                                                                                                                         |
| -------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| customerId     | Customer ID                                                                                                                                                                                                                                                         |
| description    | No special characters allowed                                                                                                                                                                                                                                       |
| name           | Up to 35 characters / No special characters allowed                                                                                                                                                                                                                 |
| email          | Example: <example@example.com>                                                                                                                                                                                                                                      |
| phoneNumber    | <p>It must be in E.164 telephone number format — the value must start with ""+"" and contain no spaces."<br>Validator: <a href="https://www.phonevalidator.com/"><https://www.phonevalidator.com/></a></p>                                                          |
| taxNumber      | No special characters allowed                                                                                                                                                                                                                                       |
| dateOfBirth    | Only the following format must be used: 1987-12-30T00:00:00.000Z.                                                                                                                                                                                                   |
| addressLine1   | Up to 35 characters / No special characters allowed                                                                                                                                                                                                                 |
| addressLine2   | Up to 35 characters / No special characters allowed                                                                                                                                                                                                                 |
| addressLine3   | Up to 35 characters / No special characters allowed                                                                                                                                                                                                                 |
| city           | Up to 21 characters / No special characters allowed                                                                                                                                                                                                                 |
| stateIso       | <p>If US, CY, GE, or AZ is selected in the Country field, a dropdown with values from the States List method will appear in this field.<br>If any other country is selected, this field must contain a district or city.<br>Special characters are not allowed.</p> |
| countryIso     | Up to 35 characters / No special characters allowed                                                                                                                                                                                                                 |
| postalCode     | You must use the Country List method to retrieve the available countries.                                                                                                                                                                                           |
| unitNumber     | No special characters allowed                                                                                                                                                                                                                                       |
| website        | The website format must be: <https://example.com>.                                                                                                                                                                                                                  |
| type           | Only one option can be selected.                                                                                                                                                                                                                                    |
| businessLine   | Only one option can be selected.                                                                                                                                                                                                                                    |
| relationship   | Only one option can be selected.                                                                                                                                                                                                                                    |
| lastname       | No special characters allowed                                                                                                                                                                                                                                       |
| currencyCode   | Only one option can be selected.                                                                                                                                                                                                                                    |
| number         | No special characters allowed                                                                                                                                                                                                                                       |
| routingNumber  | No special characters allowed                                                                                                                                                                                                                                       |
| address        | No special characters allowed                                                                                                                                                                                                                                       |
| walletType     | Only one option can be selected.                                                                                                                                                                                                                                    |
| supportedRails | Only one option can be selected.                                                                                                                                                                                                                                    |
| ifsc           | No special characters allowed                                                                                                                                                                                                                                       |
| swift          | No special characters allowed                                                                                                                                                                                                                                       |
| sortCode       | No special characters allowed                                                                                                                                                                                                                                       |
| transitNumber  | No special characters allowed                                                                                                                                                                                                                                       |
| accountType    | Only one option can be selected.                                                                                                                                                                                                                                    |
|                |                                                                                                                                                                                                                                                                     |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.delos.financial/validation/counterparties.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
